From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 23 May 2007<P>

Hi,<BR>
I am so thrilled about the front page pick... :)<BR>
And this piece really touched me <a href="/blend/wv.cgi?id=2007.04.08.11.28.16414">only true</a>. I missed it before.<BR>
Kirk, the page top quote is in the 'Blend-O-Matic' right? Or on Kisrael? I remember reading that here I think. And it's brilliant, great choice. Congrats everyone!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 23 May 2007<P>

Great digest Kirk as always (but I do love this place). Congratulations to all front pagers. Great writing as always.<BR>
<BR>
Chris your work is outstanding, I love reading your words.<BR>
<BR>
Mr Fernandez; Welcome to the blender. Your passion is amazing and I look forward to reading more of your words. <BR>
<BR>
Rens; Truth to power is always the best way.<BR>
<BR>
<a href="http://www.youtube.com/watch?v=q1moiym6-Nk">http://www.youtube.com/watch?v=q1moiym6-Nk</a><BR>
<BR>
In memory of all our fallen hero's and for the ones still fighting we will keep trying to bring you home. <BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 23 May 2007<P>

Star o' D...<BR>
You must have seen it on kisrael. I haven't updated the Blend-O-Matic for *years*. :-(<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=1189">darwin</a><BR>
Date: 23 May 2007<P>

hollywoodfox, about <a href="/blend/wv.cgi?id=2007.05.22.19.20.4975">June & July </a>:<BR>
<BR>
absolutely love this. 
<HR>
From: <a href="/blend/av.cgi?id=1509">hollywoodfox</a><BR>
Date: 23 May 2007<P>

Thanks for the kind words, Darwin. I was inspired by the novel "The Time Traveler's Wife." I highly recommend it :-)
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 23 May 2007<P>

kirk thanks for the front page pick and congrats to all who made it.<BR>
<BR>
and thanks star of david for the nice words about "only true"<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 23 May 2007<P>

chris, about <a href="/blend/wv.cgi?id=2007.05.22.18.14.30270">In This Light</a>: excuse my language kirk but DAMN! this was a great piece you made me feel like i was there staring at the same thing you were. If thats what your better half looks like i consider you lucky<BR>
nice job<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>